<?php
	include "SMSAPI.php";
	$sms = new SMS;

	/** Set Host Details
	 <host name or IP address>, port number, is_secure value (0/1) yes or no
	 FORMAT:
	 	HostDetails("www.example.com", 80, 0); for port 80 on http non-secure
	**/

	$sms->HostDetails("www.cellcore.com.ng", 80, "cgi-bin/sms/api.cgi", 0);

	/** Set provider parameters
	//Currently set to use CELLCORE SMS GATEWAY
	 username, password, sender_id, recipient, message, anyother parameter
	 FORMAT:
	 	$sms->SetParameters("user", "pass", "sender", "recipient", "message", "TYPE=0&TIME=date(\\"Y-m-d G:i:s\")");
	 this will layout the url like this
	 ?user=&pass=&sender=&recipient=&message=&schedule_time=
	**/

	$sms->SetParameters("USR", "PWD", "SRC", "DST", "MSG", "TYP=0");
	
	/** Set SMS Values
	 username, password, sender_id, recipient, message, anyother parameters
	 FORMAT:
	 $sms = SendSms("username", "password", "CELLCORE", "2348020000009", "test message");
	 this will layout the url like this (this URL is a SAMPLE)
	 http://www.mobileplus.com.ng/cgi-bin/sms/api.cgi?user=username&pass=password&sender=CELLCORE&recipient=2348020000009&message=test%20message&schedule_time=20080101%2023:23
	 the responses are explained even from our connection document downloadable at 
	 http://www.cellcore.com.ng/sdk/http_api_document.pdf
	**/

	$rply = $sms->SendSms("username", "password", "Bank", "2348012345678", "testing the link");
	echo "$rply";
?>
